import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取信号树
 */
export const GetNumericSignalLogicalTreeStd = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Std/GetSimpleLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 调用接口，返回数值型的信号树
 * 报错时返回 undefined
 * @returns
 */
export const getNumericSignalLogicalTreeStd = async (params, req: any = request) => {
	const res = await GetNumericSignalLogicalTreeStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取信号树失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};

/**
 * @summary 获取信号树
 */
export const GetSignalLogicalTreeStd = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Std/GetLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 调用接口，返回信号树（完整）
 * 报错时返回 undefined
 * @returns
 */
export const getSignalLogicalTreeStd = async (params, req: any = request) => {
	const res = await GetSignalLogicalTreeStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取信号树失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};

/**
 * @summary 获取信号树（可以指定格式）
 */
export const GetFormatLogicalTreeStd = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Std/GetFormatLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 调用接口，返回信号树
 * 报错时返回 undefined
 * @returns
 */
export const getFormatLogicalTreeStd = async (params, req: any = request) => {
	const res = await GetFormatLogicalTreeStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取信号树失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
